import QtQuick 1.1
import com.nokia.meego 1.0

MilCommonDialog
{
    id: root

    signal canceled

    width: parent.width - 20

    property alias nameText: lblName.text
    property alias noteText: lblNote.text
    property alias percent: pBar.value

    titleText: qsTr("Delete progress")

    content: Column
    {
        width: parent.width

        Row { height: 15; Text { text: " "; } }

        MilDlgLabel { id: lblName; elide: Text.ElideMiddle; }

        Row { height: 15; Text { text: " "; } }

        ProgressBar {
            id: pBar
            width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        Row { height: 15; Text { text: " "; } }

        MilDlgLabel { id: lblNote; }

        Row { height: 25; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Cancel"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: root.canceled(); }

    function showDialog() {
        nameText = qsTr("Scanning...");
        noteText = "";
        percent = 0;

        open();
    }

    function closeDialog() { close(); }

    function updateNote(note) { lblNote.text = note; }
    function updateUi(name, note, percent) {
        lblName.text = name;
        lblNote.text = note;
        pBar.value = percent;
    }
}
