import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    id: diskDetails

    property string usedText: ""
    property string freeText: ""
    property string capacityText: ""
    property real percentUsed

    content: Column {
        spacing: 15
        width: parent.width

        Row { height: 15; Text { text: " "; } }

        Row {
            width: parent.width
            MilDlgLabel2 { text: qsTr("Used space: "); anchors.right: parent.horizontalCenter; }
            MilDlgLabel { text: usedText; anchors.left: parent.horizontalCenter; }
        }

        Row {
            width: parent.width
            MilDlgLabel2 { text: qsTr("Free space: "); anchors.right: parent.horizontalCenter; }
            MilDlgLabel { text: freeText; anchors.left: parent.horizontalCenter; }
        }

        Row {
            width: parent.width
            MilDlgLabel2 { text: qsTr("Capacity: "); anchors.right: parent.horizontalCenter; }
            MilDlgLabel { text: capacityText; anchors.left: parent.horizontalCenter; }
        }

        ProgressBar {
            value: percentUsed
            width: 400
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        MilDlgLabel2 {
            text: Math.round(diskDetails.percentUsed * 100) + qsTr(" % used");
            anchors.horizontalCenter: parent.horizontalCenter; }

        Row { height: 15; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Close"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }
}
