.pragma library

var app = null
var appWindow = null
function init(appObj, appWindowObj)
{
    if (!app)
        app = appObj;

    if (!appWindow)
        appWindow = appWindowObj;
}

//function setMenuStyle(menu, inverted) {
//    menu.platformInverted = inverted;
//    var layout = menu.content[0];

//    for (var i = 0; i < layout.children.length; ++i) {
//        layout.children[i].platformInverted = inverted;
//    }
//}

function setMenuCheckedItem(menu, index) {
    var layout = menu.content[0];
    for (var i = 0; i < layout.menuChildren.length; ++i) {
        layout.menuChildren[i].privateSelectionIndicator = (i === index);
    }
}

function setToolbarStyle(toolbarLayout, inverted) {
    if (inverted === undefined)
        inverted = app.InvertedTheme();
    for (var i = 0; i < toolbarLayout.children.length; ++i) {
        var item = toolbarLayout.children[i];
        item.platformInverted = inverted;
        item.resetTip();
    }
}


function setProperties(obj, properties)
{
    for (var prop in properties)
        obj[prop] = properties[prop];
}

// WARNING! The objects created by this function can't access
// outside QML objects because this code is located in .pragma library
// JavaScript file (see http://kit:8093/mobile/wiki/QmlDynamicObjects#StatelessJavaScriptlibrariesandcreatingcomponents
// for more info). To avoid this limitation, use DynamicGlobal.createObject()
function createObject(obj, compName, properties, parent) {
    if (!obj) {
        var component = (typeof compName === "string") ? Qt.createComponent(compName) : compName;
        var newObj = component.createObject(parent || appWindow.pageStack, properties || {});

        if (compName !== component)
            component.destroy();

        return newObj;
    }

    setProperties(obj, properties || {});
    return obj;
}


function openMenu(obj, comp, properties, parent) {
    var newObj = createObject(obj, comp, properties, parent);
    newObj.open();

    return newObj;
}

function openCheckedMenu(obj, comp, checkedIndex) {
    var newObj = createObject(obj, comp, undefined, undefined);
    setMenuCheckedItem(newObj, checkedIndex);
    newObj.open();

    return newObj;
}

function openObject(obj, comp, properties, parent) {
    var myObj = createObject(obj, comp, properties, parent);
    myObj.open();

    return myObj;
}

