import QtQuick 1.1
import com.nokia.meego 1.0

MilCommonDialog
{
    id: root

    width: parent.width - 10

    property string fileName: ""
    property string imageName: ""
    property string typeText: ""
    property string pathText: ""
    property string sizeText: ""
    property string savedText: ""
    property bool isReadOnly: false
    property bool isHidden: false

    content: Column
    {
        width: parent.width

        Row {
            width: parent.width

            Column {
                id: leftCol
                spacing: 10

                Row { height: 15; Text { text: " "; } }

                Image { id: typeImage; source: imageName; anchors.horizontalCenter: parent.horizontalCenter }
                MilDlgLabel2 { text: qsTr("Type: ");  anchors { right: parent.right; } }
                MilDlgLabel2 { text: qsTr("Path: ");  anchors { right: parent.right; } }
                MilDlgLabel2 { text: qsTr("Size: ");  anchors { right: parent.right; } }
                MilDlgLabel2 { id: savedLabel; text: qsTr("Saved: ");  anchors { right: parent.right; } }
            }

            Column {
                spacing: 10
                property int maxWidth: parent.width - leftCol.width - parent.spacing

                Row { height: 15; Text { text: " "; } }

                MilDlgLabel { height: typeImage.height; text: fileName; verticalAlignment: Text.AlignVCenter; elide: Text.ElideMiddle; width: parent.maxWidth }

                MilDlgLabel { text: typeText; elide: Text.ElideRight; width: parent.maxWidth }
                MilDlgLabel { text: pathText; elide: Text.ElideMiddle; width: parent.maxWidth }
                MilDlgLabel { text: sizeText; }
                MilDlgLabel { text: savedText; }
            }
        }

        Row { height: 15; Text { text: " "; } }

        Row {
            CheckBox { id: cbRo; checked: isReadOnly; onClicked: checked = !checked; }
            MilDlgLabel2 { height: cbRo.height; text: qsTr("Read-only"); verticalAlignment: Text.AlignVCenter; }
            Text { text: " "; width: 30 }
            CheckBox { id: cbHidden; checked: isHidden; onClicked: checked = !checked; }
            MilDlgLabel2 { height: cbHidden.height; text: qsTr("Hidden"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 25; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Close"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    function updateSize(size) { sizeText = size; }

    function showDialog(title, name, image, type, path, size, saved, isRo, isHid)
    {
        titleText = title;
        fileName = name;
        imageName = image;
        typeText = type;
        pathText = path;
        sizeText = size;
        savedText = saved;
        isReadOnly = isRo;
        isHidden = isHid;

        open();
    }
}
