import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    id: dlg

    width: 400

    property string userName: ""
    property string password: ""
    property bool rememberPassword: false

    SipAttributes
    {
        id: sipAttributes
        actionKeyEnabled: true
        actionKeyHighlighted: true
        actionKeyLabel: qsTr("Done")
    }

    content: Column
    {
        width: parent.width
        id: cnt
        spacing: 6

        Row { height: 10; Text { text: " "; } }

        MilDlgLabel { text: qsTr("User name") }
        TextField { id: editUserName; text: userName;
            width: parent.width; inputMethodHints: Qt.ImhNoPredictiveText; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { cnt.focus = true; platformCloseSoftwareInputPanel(); }
        }
        MilDlgLabel { text: qsTr("Password") }
        TextField { id: editPassword; text: password;
            width: parent.width; echoMode: TextInput.Password; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { cnt.focus = true; platformCloseSoftwareInputPanel(); }
        }

        Row { height: 6; Text { text: " "; } }

        Row {
            CheckBox { id: cbRemember; checked: rememberPassword; }
            MilDlgLabel { height: cbRemember.height; text: qsTr("Remember the password"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 20; Text { text: " "; } }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: qsTr("OK"); onClicked: accept(); }
        Button { width: 170; text: qsTr("Cancel"); onClicked: reject(); }
    }

    onAccepted: { folderForm.OnLoginAccepted(editUserName.text.toString(), editPassword.text.toString(), cbRemember.checked); }
    onRejected: { folderForm.cmdHideWaitDialog(); folderForm.OnLoginRejected(); }

    Component.onDestruction: console.log("LoginDialog destroyed");
}
