import QtQuick 1.1
import com.nokia.meego 1.0
import "UIConst.js" as UI

Dialog {
    property alias titleText: titleItem.text
    property bool autoDestroy: false

    signal privateClicked
    onPrivateClicked: {}

    title: Text {
        id: titleItem
        font.pixelSize: UI.FONT_LARGE;
        font.bold: true;
        color: UI.COLOR_INVERTED_FOREGROUND;
        anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter
    }

    // Overrides Popup.open() and fixes its bug whenever
    // the popup is opened before it is fully closed
    function open() {
        if (status !== DialogStatus.Opened)
            status = DialogStatus.Opening;
    }

    property bool _isClosing: false

    // Overrides Popup.close() and fixes its bug whenever
    // the popup is closed before it is fully opened
    function close() {
        if (status !== DialogStatus.Closed) {
            _isClosing = true;
            status = DialogStatus.Closing;
        }
    }

    onStatusChanged: {
        // Forced to wait 500 ms *after* the dialog is fully closed
        // because otherwise the fader stays on, blackening the whole screen
        if (autoDestroy && _isClosing && status === DialogStatus.Closed)
            root.destroy(500);
    }
}
