import QtQuick 1.0
import com.nokia.meego 1.0
import "UIConst.js" as UI

MilCommonDialog
{
    id: root

    signal userChoice(int choice)

    width: parent.width
    autoDestroy: true

    __fadeInDelay: 0
    __fadeInDuration: 0
    //__fadeOutDelay: 0
    //__fadeOutDuration: 0

    property alias dstName: lblName.text
    property alias dstSize: lblDstSize.text
    property alias dstTime: lblDstTime.text
    property alias srcSize: lblSrcSize.text
    property alias srcTime: lblSrcTime.text

    titleText: qsTr("File replace")

    content: Column
    {
        width: parent.width

        Row { height: 15; Text { text: " "; } }

        MilDlgLabel { text: qsTr("This folder already contains a file named "); }
        MilDlgLabel { id: lblName; font.pixelSize: UI.FONT_SMALL; }

        Row { height: 4; Text { text: " "; } }

        MilDlgLabel { text: qsTr("Would you like to replace the existing:"); }

        Row { height: 4; Text { text: " "; } }

        Row {
            width: parent.width - 40
            x: 40

            Column {
                spacing: 1

                MilDlgLabel2 { font.pixelSize: UI.FONT_SMALL; text: qsTr("Size: "); }
                MilDlgLabel2 { font.pixelSize: UI.FONT_SMALL; text: qsTr("Modified: "); }
            }

            Column {
                spacing: 1

                MilDlgLabel { id: lblDstSize; font.pixelSize: UI.FONT_SMALL; }
                MilDlgLabel { id: lblDstTime; font.pixelSize: UI.FONT_SMALL; }
            }
        }

        Row { height: 4; Text { text: " "; } }

        MilDlgLabel { text: qsTr("with this one?"); }

        Row { height: 4; Text { text: " "; } }

        Row {
            width: parent.width - 40
            x: 40

            Column {
                spacing: 1

                MilDlgLabel2 { font.pixelSize: UI.FONT_SMALL; text: qsTr("Size: "); }
                MilDlgLabel2 { font.pixelSize: UI.FONT_SMALL; text: qsTr("Modified: "); }
            }

            Column {
                spacing: 1

                MilDlgLabel { id: lblSrcSize; font.pixelSize: UI.FONT_SMALL; }
                MilDlgLabel { id: lblSrcTime; font.pixelSize: UI.FONT_SMALL; }
            }
        }

        Row { height: 16; Text { text: " "; } }
    }

    buttons: Column
    {
        width: parent.width
        spacing: 30

        Row {
            spacing: 50
            anchors.horizontalCenter: parent.horizontalCenter

            Button { width: 200; text: qsTr("Yes"); onClicked: closeDialog(3); }
            Button { width: 200; text: qsTr("No"); onClicked: closeDialog(1); }
        }

        Row {
            spacing: 50
            anchors.horizontalCenter: parent.horizontalCenter

            Button { width: 200; text: qsTr("Yes to all"); onClicked: closeDialog(4); }
            Button { width: 200; text: qsTr("No to all"); onClicked: closeDialog(2); }
        }
    }

    function setSrcAttribs(size, time)
    {
        srcSize = size;
        srcTime = time;
    }

    function setDstAttribs(size, time)
    {
        dstSize = size;
        dstTime = time;
    }

    function showDialog(name)
    {
        lblName.text = name;
        open();
    }

    function closeDialog(choice)
    {
        close();
        userChoice(choice);
    }

    Component.onDestruction: console.log("OverwriteDialog destroyed");
}
