import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

MilCommonDialog
{
    property alias password: editPassword.text
    width: parent.width - 20
    titleText: qsTr("Enter the password")

    SipAttributes
    {
        id: sipAttributes
        actionKeyEnabled: true
        actionKeyHighlighted: true
        actionKeyLabel: qsTr("Done")
    }

    content: Column {
        spacing: 20
        width: parent.width

        Row { height: 15; Text { text: " "; } }

        TextField { id: editPassword;
            width: parent.width; echoMode: TextInput.Password; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { parent.focus = true; platformCloseSoftwareInputPanel(); }
        }

        Row { height: 15; Text { text: " "; } }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: qsTr("OK"); onClicked: accept(); }
        Button { width: 170; text: qsTr("Cancel"); onClicked: reject(); }
    }

    onAccepted: folderForm.OnPasswordAccepted(password.toString());
    onRejected: folderForm.OnPasswordRejected();
}

