import QtQuick 1.1
import com.nokia.meego 1.0

MilCommonDialog
{
    width: parent.width - 10

    titleText: qsTr("Selection Details")
    property string statsText: ""
    property string typeText: ""
    property string pathText: ""
    property string sizeText: ""

    content: Column
    {
        width: parent.width

        Row {
            width: parent.width

            Column {
                id: leftCol
                spacing: 10

                Row { height: 15; Text { text: " "; } }

                Image { id: typeImage; source: "qrc:/resources/MulDocIc.png" }
                MilDlgLabel2 { text: qsTr("Type: "); anchors { right: parent.right; } }
                MilDlgLabel2 { text: qsTr("Path: "); anchors { right: parent.right; } }
                MilDlgLabel2 { text: qsTr("Size: "); anchors { right: parent.right; } }
            }

            Column {
                spacing: 10
                property int maxWidth: parent.width - leftCol.width - parent.spacing

                Row { height: 15; Text { text: " "; } }

                MilDlgLabel { height: typeImage.height; text: statsText; verticalAlignment: Text.AlignVCenter; }

                MilDlgLabel { text: typeText; elide: Text.ElideRight; width: parent.maxWidth }
                MilDlgLabel { text: pathText; elide: Text.ElideMiddle; width: parent.maxWidth }
                MilDlgLabel { text: sizeText; }
            }
        }

        Row { height: 25; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Close"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    function updateType(type) { typeText = type; }
    function updateStats(stats, size) { statsText = stats; sizeText = size; }

    function showDialog(type, path)
    {
        typeText = type;
        pathText = path;
        statsText = " ";
        sizeText = " ";

        open();
    }
}
