import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    width: 460

    titleText: qsTr("Settings")

    content: Column
    {
        width: parent.width
        spacing: 3

        Row { height: 7; Text { text: " "; } }

        Row {
            id: showSb
            anchors.horizontalCenter: btn.horizontalCenter;
            CheckBox { id: cb2; checked: app.ShowStatusBar(); onCheckedChanged: app.SetShowStatusBar(checked); }
            MilDlgLabel { height: cb2.height; text: qsTr("Show the status bar"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 7; Text { text: " "; } }

        Row {
            anchors.left: showSb.left;
            CheckBox { id: cb; checked: app.ExitPrompt(); onCheckedChanged: app.SetExitPrompt(checked); }
            MilDlgLabel { height: cb.height; text: qsTr("Prompt on exit"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 10; Text { text: " "; } }

        MilDlgLabel { text: qsTr("Theme style:"); width: btn.width; anchors.left: btn.left; }

        ButtonRow {
            width: btn.width
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow
            checkedButton: app.InvertedTheme() ? b2 : b1;
            Button { id: b1; text: qsTr("Light"); onClicked: app.SetInvertedTheme(false); }
            Button { id: b2; text: qsTr("Dark"); onClicked: app.SetInvertedTheme(true); }
        }

        Row { height: 7; Text { text: " "; } }

        Button { id: btn; text: qsTr("Clear the local cache"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: app.PurgeCache(); }

        Row { height: 7; Text { text: " "; } }

        Button { id: btnLang; text: qsTr("Language ..."); anchors.horizontalCenter: parent.horizontalCenter; onClicked: dlgLanguage.open(); }

        Row { height: 25; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Close"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    SelectionDialog
    {
        id: dlgLanguage
        titleText: qsTr("Select language")
        selectedIndex: app.GetLangId();

        model: langModel

        onAccepted: {
            app.SetLangId(selectedIndex);
            appWindow.showMsg(qsTr("Language change"), qsTr("The new language will be used after you exit myExplorer and start it again"), 0);
        }
    }
}
