import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    id: root
    width: parent.width - 20

    property alias nameText: lblName.text
    property alias timeText: lblTime.text
    property alias percent: pBar.value
    property alias sizeText: lblSize.text

    __fadeInDelay: 0
    __fadeInDuration: 0
    __fadeOutDelay: 0
    __fadeOutDuration: 0

    titleText: qsTr("File transfer progress")

    content: Column
    {
        width: parent.width
        spacing: 15

        Row { height: 15; Text { text: " "; } }

        MilDlgLabel { id: lblName; }

        ProgressBar {
            id: pBar
            width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        MilDlgLabel { id: lblTime; }
        MilDlgLabel { id: lblSize; }

        Row { height: 25; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Cancel"); anchors.horizontalCenter: parent.horizontalCenter; onClicked: root.rejected(); }

    function showDialog() {
        open();
    }

    function closeDialog() { close(); }

    function resetDialog()
    {
        nameText = "";
        timeText = "";
        sizeText = "";
        percent = 0;
    }

    function updateSize(note) { lblSize.text = note; }
    function updateName(name) { lblName.text = name; }

    function updateUi(size, name, progress, timeLeft)
    {
        lblSize.text = size;
        lblName.text = name;
        lblTime.text = timeLeft;
        pBar.value = progress;
    }
}
