import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    width: 460

    titleText: qsTr("View options")

    content: Column
    {
        width: parent.width
        spacing: 3

        Row { height: 10; Text { text: " "; } }

        MilDlgLabel { text: qsTr("Order by"); width: btnRow.width; anchors.left: btnRow.left; }

        ButtonRow {
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow
            width: btnRow2.width
            checkedButton: b1

            Button { id: b1; text: qsTr("Name"); }
            Button { id: b2; text: qsTr("Date"); }
            Button { id: b3; text: qsTr("Size"); }
            Button { id: b4; text: qsTr("Type"); }

            onCheckedButtonChanged: {
                if (checkedButton == b1) {
                    btnRow2.checkedButton = b21;
                    setRow2Names(0);
                } else if (checkedButton == b2) {
                    btnRow2.checkedButton = b22;
                    setRow2Names(1);
                } else if (checkedButton == b3) {
                    btnRow2.checkedButton = b22;
                    setRow2Names(2);
                } else {
                    btnRow2.checkedButton = b21;
                    setRow2Names(3);
                }
            }
        }

        Row { height: 10; Text { text: " "; } }

        MilDlgLabel { text: qsTr("Sort order"); width: btnRow2.width; anchors.left: btnRow2.left; }

        ButtonRow {
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow2
            checkedButton: b21
            Button { id: b21; text: qsTr("Ascending"); }
            Button { id: b22; text: qsTr("Descending"); }
        }

        Row { height: 8; Text { text: " "; } }

        Row {
            anchors.left: btnRow2.left;
            CheckBox { id: cb; }
            MilDlgLabel { height: cb.height; text: qsTr("Show item date and size"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 8; Text { text: " "; } }

        Row {
            anchors.left: btnRow2.left;
            CheckBox { id: cb2; }
            MilDlgLabel { height: cb2.height; text: qsTr("Show hidden items"); verticalAlignment: Text.AlignVCenter; }
        }

        Row { height: 8; Text { text: " "; } }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: qsTr("OK"); onClicked: accept(); }
        Button { width: 170; text: qsTr("Cancel"); onClicked: reject(); }
    }

    function setRow2Names(field)
    {
        switch (field)
        {
        case 0:
        case 3:
            b21.text = qsTr("A to Z");
            b22.text = qsTr("Z to A");
            break;

        case 1:
            b21.text = qsTr("Old first");
            b22.text = qsTr("New first");
            break;

        case 2:
            b21.text = qsTr("Small first");
            b22.text = qsTr("Large first");
            break;
        }
    }

    function openDlg()
    {
        var sf = app.getSortField();
        if (sf == 0)
            btnRow.checkedButton = b1;
        else if (sf == 1)
            btnRow.checkedButton = b2;
        else if (sf == 2)
            btnRow.checkedButton = b3;
        else
            btnRow.checkedButton = b4;

        setRow2Names(sf);

        var so = app.getSortOrder();
        if (so == 0)
            btnRow2.checkedButton = b21;
        else
            btnRow2.checkedButton = b22;

        cb.checked = app.showDetails();
        cb2.checked = app.ShowHidden();

        open();
    }

    onAccepted: {
        var sf;
        if (btnRow.checkedButton == b1)
            sf = 0;
        else if (btnRow.checkedButton == b2)
            sf = 1;
        else if (btnRow.checkedButton == b3)
            sf = 2;
        else
            sf = 3;

        var so;
        if (btnRow2.checkedButton == b21)
            so = 0;
        else
            so = 1;

        app.ChangeViewOptions(sf, so, cb.checked, cb2.checked);
    }
}
